Subject: Re: [PATCH 03/14] lockfile: remove some redundant functions

From: Johannes Sixt <[email-masked]>
Date: Wed, 10 Jun 2015 20:27:56 +0200

Am 10.06.2015 um 19:40 schrieb Junio C Hamano:
> Michael Haggerty <[email-masked]> writes:
>
>> Remove the following functions and rewrite their callers to use the
>> equivalent tempfile functions directly:
>>
>> * fdopen_lock_file() -> fdopen_tempfile()
>> * reopen_lock_file() -> reopen_tempfile()
>> * close_lock_file() -> close_tempfile()
>
> Hmph,
>
> My knee-jerk reaction was "I thought lockfile abstraction was
> fine---why do we expose the implementation detail of the lockfile,
> which is now happen to be implemented on top of the tempfile API, to
> the callers?"

Just for the record, I had exactly the same reaction, and I find this 
transition against the spirit of a self-contained lockfile API.

-- Hannes